Package org.pentaho.reporting.libraries.formula.function.information

# Class IsNonTextFunction

java.lang.Object
org.pentaho.reporting.libraries.formula.function.information.IsTextFunction
org.pentaho.reporting.libraries.formula.function.information.IsNonTextFunction

All Implemented Interfaces:
  `Serializable`, `Function`

public class IsNonTextFunction extends IsTextFunction
This function retruns false if the given value is of type Text.

Author:
  Cedric Pronzato
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`IsNonTextFunction()`

## Method Summary

Modifier and Type
Method
Description
`TypeValuePair`
`evaluate(FormulaContext context, ParameterCallback parameters)`
`String`
`getCanonicalName()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IsNonTextFunction

public IsNonTextFunction()

## Method Details

### evaluate

public TypeValuePair evaluate(FormulaContext context, ParameterCallback parameters) throws EvaluationException

Specified by:
  `evaluate` in interface `Function`
Overrides:
  `evaluate` in class `IsTextFunction`
Throws:
  `EvaluationException`

### getCanonicalName

public String getCanonicalName()

Specified by:
  `getCanonicalName` in interface `Function`
Overrides:
  `getCanonicalName` in class `IsTextFunction`